package com.ss.android.ugc.aweme.ml.infra;

import X.C05542Zk;
import X.C32043ds;
import X.RQw;
import com.bytedance.covode.number.Covode;

public interface ISmartClassifyService {
    static {
        Covode.recordClassIndex(93004);
    }

    void classify(String str, RQw rQw, C32043ds r3, C05542Zk r4);

    void configSceneModel(String str, SmartClassifySceneConfig smartClassifySceneConfig);

    boolean enable(String str);

    void ensureEnvAvailable(String str);
}
